
# OpenBSD stuff

# GNU ls(1) from OpenBSD ports is named gls(1)/gdircolors(1).
if [ -x "$(whence gdircolors)" ]; then
    if [ -r "$DOTZSHDIR/config/dircolors" ]; then
	eval $(gdircolors -b $DOTZSHDIR/config/dircolors)
    else
	eval $(gdircolors -b)
    fi
    if [ "$TERM" != "dumb" ]; then
	alias ls="gls -h --color=auto"
	alias l="gls -lh --color=auto"
    else
	alias ls="gls -h"
	alias l="gls -lh"
    fi

# colorls(1) is {Open,Net}BSD port name for FreeBSD ls(1)
elif [ -x "$(whence colorls)" ]; then
    if [ "$TERM" != "dumb" ]; then
	export LSCOLORS="exfxbxdxcxegedabagacad"
	alias ls="colorls -GFh"
	alias l="colorls -lGFh"
    else
	alias ls="colorls -Fh"
	alias l="colorls -lFh"
    fi
else
    alias ls="ls -Fh"
fi

# GNU tar is called gtar 
[ -x "$(whence gtar)" ] && alias tar="gtar"

# GNU find is called gfind
[ -x "$(whence gfind)" ] && alias find="gfind"